var $defunk_prefs = {

   getCharPref: function(prefName, defval) {
      var result = defval;
      var prefservice = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
      var prefs = prefservice.getBranch("");
      if (prefs.getPrefType(prefName) == prefs.PREF_STRING) {
          try { result = prefs.getCharPref(prefName); } catch(e){}
      }
      return(result);
   },
   
   setCharPref: function(prefName, val){
    Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("").setCharPref(prefName,val);
   },
   
   getIntPref: function(prefName, defval) {
      var result = defval;
      var prefservice = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
      var prefs = prefservice.getBranch("");
      if (prefs.getPrefType(prefName) == prefs.PREF_INT) {
          try { result = prefs.getIntPref(prefName); } catch(e){}
      }
      return(result);
   },
   
   setIntPref: function(prefName, val){
    Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("").setIntPref(prefName,val);
   }

}